curl --request PATCH \
--url https://api.mailbeast.ai/v1/campaigns/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Q4 Launch (revised)",
"schedule": {
"timezone": "America/New_York",
"sendingDays": [
1,
2,
3,
4,
5
],
"sendingMinutesStart": 540,
"sendingMinutesEnd": 1020,
"dailyLimit": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"settings": {
"trackOpens": true,
"trackClicks": true,
"sendAsTextOnly": false,
"stopOnReply": true
},
"sequence": [
{
"subject": "Quick question about {{companyName}}",
"body": "<p>Hi {{firstName}}, …</p>",
"delayDays": 0,
"delayHours": 0
}
],
"accounts": [
"123e4567-e89b-12d3-a456-426614174000"
]
}
'import requests
url = "https://api.mailbeast.ai/v1/campaigns/{id}"
payload = {
"name": "Q4 Launch (revised)",
"schedule": {
"timezone": "America/New_York",
"sendingDays": [1, 2, 3, 4, 5],
"sendingMinutesStart": 540,
"sendingMinutesEnd": 1020,
"dailyLimit": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"settings": {
"trackOpens": True,
"trackClicks": True,
"sendAsTextOnly": False,
"stopOnReply": True
},
"sequence": [
{
"subject": "Quick question about {{companyName}}",
"body": "<p>Hi {{firstName}}, …</p>",
"delayDays": 0,
"delayHours": 0
}
],
"accounts": ["123e4567-e89b-12d3-a456-426614174000"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Q4 Launch (revised)',
schedule: {
timezone: 'America/New_York',
sendingDays: [1, 2, 3, 4, 5],
sendingMinutesStart: 540,
sendingMinutesEnd: 1020,
dailyLimit: 50,
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
},
settings: {trackOpens: true, trackClicks: true, sendAsTextOnly: false, stopOnReply: true},
sequence: [
{
subject: 'Quick question about {{companyName}}',
body: JSON.stringify('<p>Hi {{firstName}}, …</p>'),
delayDays: 0,
delayHours: 0
}
],
accounts: ['123e4567-e89b-12d3-a456-426614174000']
})
};
fetch('https://api.mailbeast.ai/v1/campaigns/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Q4 Product Launch Outreach",
"status": "draft",
"schedule": {
"timezone": "America/New_York",
"sendingMinutesStart": 540,
"sendingMinutesEnd": 1020,
"dailyLimit": 50,
"sendingDays": [
1,
2,
3,
4,
5
],
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
},
"settings": {
"trackOpens": true,
"trackClicks": true,
"sendAsTextOnly": false,
"stopOnReply": true
},
"metrics": {
"leadsCount": 150,
"sent": 120,
"opens": 90,
"clicks": 25,
"replies": 12
},
"tags": [
{
"id": "5c9b1e77-2f4a-4c31-9d8e-1a2b3c4d5e6f",
"name": "client-acme",
"color": "#4F46E5"
}
],
"createdAt": "2026-07-11T08:00:00.000Z",
"updatedAt": "2026-07-11T10:30:00.000Z",
"sequence": [
{
"subject": "Quick question about {{companyName}}",
"body": "<p>Hi {{firstName}}, …</p>",
"delayDays": 0,
"delayHours": 0
}
],
"accounts": [
"3f1c2b7e-9a4d-4e18-b2c1-6d8f5a0e7c93"
]
}{
"error": {
"type": "invalid_request_error",
"code": "validation_failed",
"message": "One or more fields are invalid.",
"status": 400,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f",
"details": [
"name should not be empty"
]
}
}{
"error": {
"type": "authentication_error",
"code": "unauthenticated",
"message": "Missing or invalid API key.",
"status": 401,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f"
}
}{
"error": {
"type": "authorization_error",
"code": "permission_denied",
"message": "This API key is missing the required scope.",
"status": 403,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f"
}
}{
"error": {
"type": "invalid_request_error",
"code": "not_found",
"message": "Resource not found.",
"status": 404,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f"
}
}{
"error": {
"type": "invalid_request_error",
"code": "conflict",
"message": "The request conflicts with an existing resource.",
"status": 409,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f"
}
}{
"error": {
"type": "invalid_request_error",
"code": "idempotency_key_reused",
"message": "The Idempotency-Key was already used with a different request body. Use a new key for a new operation.",
"status": 422,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f"
}
}{
"error": {
"type": "rate_limit_error",
"code": "rate_limited",
"message": "Too many requests. Retry after the interval in the Retry-After header.",
"status": 429,
"requestId": "e4f1c0b2-6a3d-4b8e-9f21-0a1b2c3d4e5f",
"retryAfter": 30
}
}Update a campaign
Partial update - only the supplied sections are touched. accounts and sequence, when present, REPLACE the existing set.
Requires one of the following scopes: campaigns:write, campaigns:all, all:all.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional. A unique key you generate (max 255 chars, such as a UUID) that makes this request safe to retry. Retrying with the same key replays the original response instead of repeating the operation. Reusing a key with a different body returns 422.
255"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
Path Parameters
"a7d4e2f1-08b3-4c65-9e7a-1b2c3d4e5f60"
Body
255"Q4 Launch (revised)"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
When supplied, REPLACES the full sequence with these steps (at least one). Omit to leave the sequence unchanged.
1Show child attributes
Show child attributes
When supplied, REPLACES the attached SMTP account set.
["123e4567-e89b-12d3-a456-426614174000"]
Response
"123e4567-e89b-12d3-a456-426614174000"
"Q4 Product Launch Outreach"
draft, scheduled, active, paused, stopped, completed, failed "draft"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Tags on this campaign - the same ones the list returns, and the same ids ?tags= filters by. Create and delete them in the dashboard. Campaign tags are a separate dictionary from mailbox tags, so the ids do not cross over.
Show child attributes
Show child attributes
"2026-07-11T08:00:00.000Z"
"2026-07-11T10:30:00.000Z"
The email sequence steps - included on the detail view (GET /v1/campaigns/:id).
Show child attributes
Show child attributes
Attached SMTP account ids - included on the detail view.
["3f1c2b7e-9a4d-4e18-b2c1-6d8f5a0e7c93"]